
Foreman - Feature #26627

add a rake task to render templates in a directory

04/16/2019 02:46 PM - Timo Goebel

Status: Closed   

Priority: Normal   

Assignee: Timo Goebel   

Category: Rake tasks   

Target version:    

Difficulty:  Fixed in Releases: 1.23.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6700

  

Description

We should add a rake task that given a directory (directory structure like in 

https://github.com/theforeman/community-templates/tree/develop/provisioning_templates) renders all templates in that directory.

This can then be used to test the community-templates templates render correctly.

Related issues:

Related to Foreman - Bug #28359: "provisioning_template" no longer recognized... Closed

Associated revisions

Revision 870c50ad - 06/20/2019 01:20 PM - Timo Goebel

fixes #26627 - rake task to render templates from dir

History

#1 - 04/17/2019 06:37 AM - Timo Goebel

- Subject changed from add a take task to render templates in a directory to add a rake task to render templates in a directory

#2 - 04/18/2019 02:00 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Timo Goebel

- Pull request https://github.com/theforeman/foreman/pull/6700 added

#3 - 06/20/2019 02:01 PM - Timo Goebel

- Status changed from Ready For Testing to Closed

Applied in changeset 870c50ad43769b059f363c87d4a2f6c702e5ea9e.

#4 - 06/24/2019 12:35 PM - Marek Hulán

- Fixed in Releases 1.23.0 added

#5 - 12/03/2019 04:26 PM - Marek Hulán

- Related to Bug #28359: "provisioning_template" no longer recognized as auditable_type added
